/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.admin;

import java.util.Calendar;
import java.util.Date;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class ClosingDayControllerTest {

    private Date date;
    private ClosingDayController controller;

    @Before
    public void init() {
        Calendar calendar = Calendar.getInstance();

        //2021-March-07 09:07:04
        calendar.set(2021, 2, 13, 9, 7, 4);
        date = calendar.getTime();

        controller = new ClosingDayController();
    }

    @Test
    public void existStableSmallBoxByCreatedOn() {
        Assert.assertTrue(controller.existStableSmallBoxByCreatedOn(date));
    }

    @Test
    public void existNextPaidClosingDayByCreatedOn() {
        Assert.assertTrue(controller.existNextPaidClosingDayByCreatedOn(date));
    }

}
